#
# spec file for package cinnamon-settings-daemon
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cinnamon-settings-daemon
Version:        3.0.1
Release:        1.3
Summary:        The settings Daemon for the Cinnamon Desktop
License:        GPL-2.0+ and LGPL-2.1
Group:          System/GUI/Other
Url:            https://github.com/linuxmint/cinnamon-settings-daemon
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cups-devel
BuildRequires:  docutils
BuildRequires:  gnome-common
BuildRequires:  hicolor-icon-theme
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  xf86-input-wacom
BuildRequires:  pkgconfig(cinnamon-desktop)
BuildRequires:  pkgconfig(colord)
BuildRequires:  pkgconfig(cvc)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(ibus-1.0)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:  pkgconfig(libgnomekbd)
BuildRequires:  pkgconfig(libgnomekbdui)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libpulse-mainloop-glib)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(libwacom)
BuildRequires:  pkgconfig(libxklavier)
BuildRequires:  pkgconfig(nss)
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(upower-glib)
BuildRequires:  pkgconfig(xtst)
Requires:       libcinnamon-desktop-data
Recommends:     %{name}-lang
Recommends:     colord
Recommends:     pulseaudio

%description
This package contains the settings Daemon for the Cinnamon Desktop.

%package devel
Summary:        The settings Daemon for the Cinnamon Desktop -- Development Files
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       pkg-config
Requires:       pkgconfig(dbus-glib-1)
Requires:       pkgconfig(glib-2.0)

%description devel
This package contains the settings Daemon for the Cinnamon Desktop.

This package contains development files for cinnamon-settings-daemon.

%lang_package

%prep
%setup -q

%build
NOCONFIGURE=1 gnome-autogen.sh
%configure \
  --disable-static          \
  --disable-schemas-compile \
  --enable-polkit           \
  --enable-systemd
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%suse_update_desktop_file %{name}
%find_lang %{name} %{?no_lang_C}

%post
%desktop_database_post
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* README.md debian/changelog
%config %{_sysconfdir}/dbus-1/system.d/org.cinnamon.SettingsDaemon.DateTimeMechanism.conf
%{_libdir}/%{name}-3.0/
%{_datadir}/%{name}-3.0/
%{_libexecdir}/%{name}
%{_libexecdir}/csd-*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/csd-xrandr.*
%{_mandir}/man?/%{name}.?%{?ext_man}
%{_datadir}/glib-2.0/schemas/org.cinnamon.settings-daemon.*.xml
%{_datadir}/polkit-1/actions/org.cinnamon.settings-daemon.plugins.power.policy
%{_datadir}/polkit-1/actions/org.cinnamon.settingsdaemon.datetimemechanism.policy
%{_datadir}/dbus-1/system-services/org.cinnamon.SettingsDaemon.DateTimeMechanism.service

%files lang -f %{name}.lang
%defattr(-,root,root)

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}-3.0/

%changelog
* Thu May 12 2016 sor.alexei@meowr.ru
- Update to version 3.0.1:
  * touchpad: By default, disable the touchpad while typing.
* Mon Apr 25 2016 sor.alexei@meowr.ru
- Update to version 3.0.0:
  * Add dbus method to play sound event on specified channel.
  * Correct the icon shown in the OSD when the mic-mute button is
    used.
  * Power plugin: Fix CSD not notifying Cinnamon on device removal.
* Wed Mar  9 2016 sor.alexei@meowr.ru
- Update to 2.8.4:
  * power manager: Prevent sleep properly when the session has a
    sleep (not idle) inhibitor active.
* Fri Nov 27 2015 sor.alexei@meowr.ru
- Update to 2.8.3:
  * Re-add code removed by mistake.
* Fri Nov 20 2015 sor.alexei@meowr.ru
- Update to 2.8.2:
  * Change the minimum height required to trigger HiDPI scaling.
* Mon Nov  9 2015 sor.alexei@meowr.ru
- Update to 2.8.1:
  * Clean up some unused functions and variables.
  * csd-datetime forgets to authorise users.
- Remove cinnamon-settings-daemon-check-settime.patch: fixed
  upstream.
* Wed Oct 28 2015 sor.alexei@meowr.ru
- Add cinnamon-settings-daemon-check-settime.patch by
  Sebastian Krahmer: fix forgetting to check caller authentication
  in _set_date().
* Tue Oct 20 2015 sor.alexei@meowr.ru
- Update to 2.8.0:
  * Change summary for motion-acceleration as it has nothing to do
    with single click.
  * Stop using deprecated GSettings: schema property.
  * print-notifications: Don't show error for job in progress.
  * print-notifications: Close HTTP connections.
  * Pressing the mic-mute button now toggles the microphone's mute
    status.
  * Power plugin: Added vendor and model info to GetPrimaryDevice()
    and GetDevices().
  * [halfline] Xrandr plugin: don't ever show a dialog for xrandr
    failures.
  * XRandR: Catch-up with GSD 3.16 - set a title to the confirmation
    dialog (bgo#706128).
  * XRandR: Simplify layout of adjacent screens.
  * XRandR: Add object path to the interface definition XML.
  * XRandR: Avoid the GnomePnpIds object being created multiple times.
  * XRandR: Add more debug to the rotate windows call.
  * XRandR: Swap axes for tablets as well.
  * XRandR: Use default-monitors-setup for autoconfigure.
  * XRandR: Add reasoning for GnomePnpIds instantiation.
  * Provide a helper function to close an XDevice safely
  * HiDPI: Don't scale when the physical size isn't properly encoded.
  * Fix crash when a plugin failed to start.
  * Modernise code for handling SIGTERM.
  * Unown our D-Bus name when cinnamon-session says "Stop".
  * Remove unused code.
  * po: Fixed some refs to GNOME.
  * Remove unused maintscript.
  * Update man.
- Fix licence.
- Remove baselibs.conf.
- Require libcinnamon-desktop-data.
* Mon Aug 10 2015 i@marguerite.su
- update version 2.6.3
  * revert "mouse: enable two-finger scrolling by default"
- add baselibs.conf
* Tue Jun  2 2015 stefan@fam-elser.de
- update to version 2.6.2
* Thu Apr 23 2015 stefan@fam-elser.de
- update version 2.4.3
* Mon Nov 10 2014 i@marguerite.su
- update version 2.4.2
  * re-add media-keys keybindings schema to allow cinnamon-desktop
    migrate script to work
* Wed Nov  5 2014 i@marguerite.su
- update version 2.4.1
- drop 12.3 support, it's going to EOL
* Mon Jul 14 2014 i@marguerite.su
- update version 2.3.0
  * Touchpad support: Added support for two and three finger clicks
* Mon May 19 2014 stefan@fam-elser.de
- update version 2.2.3
* Thu May  1 2014 i@marguerite.su
- update version 2.2.2
* Thu Apr 17 2014 i@marguerite.su
- update version 2.2.1
- drop patch: keyboard.patch
* Tue Nov 26 2013 johann.luce@wanadoo.fr
- update version 2.0.8
  * Show default handler in autorun list for media insertion dialog
* Fri Nov  8 2013 johann.luce@wanadoo.fr
- update version 2.0.7
  * Remove upstart files (was breaking unity)
* Mon Nov  4 2013 johann.luce@wanadoo.fr
- update version 2.0.6
  * Remove background plugin
  * Improve vbox background drawing
* Mon Oct 28 2013 i@marguerite.su
- update version 2.0.5
  * Add vbox hack to redraw bg a few seconds after session loads
  * Play login sound in c-s-d rather than cinnamon
  * Remove background crossfade, causes issues with vbox,
    add delay to background on startup to give nemo time
    to load (needs improvement)
* Wed Oct 23 2013 i@marguerite.su
- copypac from home:cyberorg:cinnamon
- cleanup
- add %%{name}-rpmlintrc to temporary disable some checks for polkit
- enable polkit, gudev, systemd, mozilla-nss
* Mon Oct 21 2013 stefan@fam-elser.de
- Added policy workaround again
* Mon Oct 21 2013 stefan@fam-elser.de
- Updated to version 2.0.3
- Deleted the workaround for the missing polkit policy file
* Wed Oct  2 2013 stefan@fam-elser.de
- Initial Release with version 2.0.1
